Bug 132432

Summary: [patch] devel/apr: add CC and CFLAGS to CONFIGURE_ENV
Product: Ports & Packages Reporter: swell.k <swell.k>
Component: Individual Port(s)Assignee: Philip M. Gollucci <pgollucci>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description swell.k 2009-03-08 20:20:02 UTC
The port *silently* overrides CC and CFLAGS unless set from environment or cmdline.

Fix: Patch attached with submission follows:
How-To-Repeat: Add CC=gcc44 and CFLAGS=-O0 to make.conf and build the port.

%%%
$ printf 'CC=gcc44\nCFLAGS=-O0\n' >/etc/make.conf
$ cd devel/apr; make
..
/bin/sh /usr/ports/devel/apr/work/apr-1.3.3/libtool --silent --mode=compile gcc -g -O2   -DHAVE_CONFIG_H    -I./include -I/usr/ports/devel/apr/work/apr-1.3.3/include/arch/unix -I./include/arch/unix -I/usr/ports/devel/apr/work/apr-1.3.3/include/arch/unix -I/usr/ports/devel/apr/work/apr-1.3.3/include  -o passwd/apr_getpass.lo -c passwd/apr_getpass.c && touch passwd/apr_getpass.lo
^C
$ make -V CC -V CFLAGS
gcc44
-O0
%%%

Same with default CC=cc and CFLAGS='-O2 -pipe -fno-strict-aliasing'.

These are known to work:
$ env CC=gcc44 CFLAGS=-O0 make
$ make CC=gcc44 CFLAGS=-O0
Comment 1 Edwin Groothuis freebsd_committer 2009-03-08 20:20:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci 2009-04-24 07:56:22 UTC
why does it need CXX and CXXFLAGS its all C code no C++ here.
-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
did: 703.579.6947, o: 703.549.2050x206
Senior System Admin - RideCharge Inc.
http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 3 dfilter service freebsd_committer 2009-06-10 06:53:44 UTC
pgollucci    2009-06-10 05:53:27 UTC

  FreeBSD ports repository

  Modified files:
    devel/apr            Makefile 
  Added files:
    devel/apr/files      patch-apr-util-1.3.7__apu-config.in 
  Log:
  - Respect CC/CCFLAGS [1]
  - use -pthread instead of -lpthread [2]
  - It was only ever accidental that -ldb showed up in apu-config --libs
    Subversion doesn't actually even use it (apr_dbm*).
    APR/Util is supposed to auto load the backed db library without the app
    ever know which one it was.  Subversion uses db _directly_.
    Subversion 1.6.3 should account for this. [3]
  - Convert to bsd.options.mk
  - Bump PORTREVISION
  
  PR:             ports/135396 [3], ports/134453 [2], ports/132432 [1]
  Submitted by:   dev@apr.apache.org (wrowe, bojan) [3],
                  b.f. [2],  Anonymous <swell.k@gmail.com> [1]
  
  Revision  Changes    Path
  1.81      +9 -3      ports/devel/apr/Makefile
  1.1       +39 -0     ports/devel/apr/files/patch-apr-util-1.3.7__apu-config.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip M. Gollucci freebsd_committer 2009-06-10 06:54:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!